using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.Trains
{
    /// <summary>
    /// 培训记录答案
    /// </summary>
    [Description("培训记录答案")]
    public class ExamTrainRecordAnswer:ExamBusinessEntity
    {
        /// <summary>
        /// 培训记录Id
        /// </summary>
        [SugarColumn(ColumnDescription = "培训记录Id")]
        [Description("培训记录Id")]
        public string TrainRecordId { get; set; }

        /// <summary>
        /// 题库Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库Id")]
        [Description("题库Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 试题选项Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题选项Id")]
        [Description("试题选项Id")]
        public string? QuestionOptionId { get; set; }

        /// <summary>
        /// 试题答案
        /// </summary>
        [SugarColumn(ColumnDescription = "试题答案")]
        [Description("试题答案")]
        public string? Answer { get; set; }
    }
}
